local db = select(2, ...).defaultFilters

db.default = { zone = _G.DEFAULT,
	--category = 0,
}

--[[
db[680] = { zone = 226, -- Ragefire Chasm
	category = 101,
	hide = {"Mature Flame Hound", "Adolescent Flame Hound"},
	recolor = {
		["-694"] = 4,
		[61724] = "WARRIOR", -- Commander Bagran
	},
	Heroic = {
		--noInherit = true,
		hide = {"-Adolescent Flame Hound"},
		recolor = {
			["Adolescent Flame Hound"] = 2,
			[61658] = 1,
		},
	},
}
--]]

--[[
-------------------------------------------------------------------------------
-- Cataclysm
-------------------------------------------------------------------------------
db[754] = { zone = 73, -- Blackwing Descent
	category = 451,
	recolor = {
		["3312"] = 1,
		["2940"] = 1,
		["3272"] = 2,
		["2946"] = 2,
		["3082"] = 2,
		["3325"] = 2,
	},
}

db[758] = { zone = 72, -- The Bastion of Twilight
	category = 452,
	recolor = {
		["Orphaned Emerald Whelp"] = 1,
		["Spiked Tentacle"] = 1,
	},
}

db[793] = { zone = 76, -- Zul'Gurub
	category = 401,
	recolor = {
		["2909"] = 1,
		["2908"] = 2,
	},
}

db[800] = { zone = 78, -- Firelands
	category = 453,
	recolor = {
		["2780"] = 1,
		["2549"] = 1,
		["2915"] = 2,
		["2836"] = 2,
		["2583"] = 2,
		["2532"] = 2,
		["2770"] = 2,
		["2653"] = 2,
	},
}

db[824] = { zone = 187, -- Dragon Soul
	category = 454,
	recolor = {
		["4318"] = 1,
		["4200"] = 1,
		["4055"] = 1,
		["4192"] = 2,
		["4051"] = 2,
		["3984"] = 2,
		["4348"] = 2,
	},
}
--]]

-------------------------------------------------------------------------------
-- Mists of Pandaria
-------------------------------------------------------------------------------
db[867] = { zone = 313, -- Temple of the Jade Serpent
	category = 501,
	Heroic = {
		noInherit = true,
		recolor = {
			["5616"] = 2, -- Corrupt Living Water
			["-672"] = 3, -- Wise Mari
			[59546] = 1, -- The Talking Fish
			[65362] = 2, -- Minion of Doubt
			[57109] = 2, -- Minion of Doubt
			[56792] = 1, -- Figment of Doubt
		},
	},
}

db[871] = { zone = 311, -- Scarlet Halls
	category = 502,
	Heroic = {
		noInherit = true,
		recolor = {
			[59372] = 2, -- Scarlet Scholar
			[58756] = "MAGE", -- Scarlet Evoker
			[58685] = "PRIEST", -- Scarlet Evangelist
		},
	},
}

db[874] = { zone = 316, -- Scarlet Monastery
	category = 503,
	Heroic = {
		noInherit = true,
		recolor = {
			[59722] = 1, -- Pile of Corpses
			[60033] = 2, -- Frenzied Spirit
			[59884] = 1, -- Fallen Crusader
			[59974] = 3, -- Evicted Soul
			[58569] = "MAGE", -- Scarlet Purifier
			[58590] = "PRIEST", -- Scarlet Zealot
		},
	},
}

db[875] = { zone = 303, -- Gate of the Setting Sun
	category = 504,
	Heroic = {
		noInherit = true,
		recolor = {
			[59801] = 1, -- Krik'thik Wind Shaper
			[56875] = 2, -- Krik'thik Demolisher
			[59800] = 2, -- Krik'thik Rager
		},
	},
}

db[876] = { zone = 302, -- Stormstout Brewery
	category = 505,
	recolor = {
		["5647"] = 1, -- Bopper
		["5645"] = 3, -- Hopper
		["5654"] = 3, -- Yeasty Brew Alemental
		[59684] = 5, -- Hozen Party Animal
		[57097] = 5, -- Hozen Party Animal
		[56927] = 5, -- Hozen Party Animal
	},
}

db[877] = { zone = 312, -- Shado-pan Monastery
	category = 506,
	recolor = {
		[59751] = 2, -- Shado-Pan Warden
		[56765] = 2, -- Destroying Sha
		[66652] = 1, -- Lesser Volatile Energy
		[58812] = 1, -- Hateful Essence
		[59804] = 3, -- Gripping Hatred
	},
}

db[885] = { zone = 321, -- Mogu'Shan Palace
	category = 507,
	Heroic = {
		noInherit = true,
		recolor = {
			[61946] = 1, -- Harthak Stormcaller
			[61240] = 1, -- Glintrok Skulker
			[61338] = 1, -- Glintrok Skulker
			[61337] = 2, -- Glintrok Ironhide
			[61242] = 2, -- Glintrok Ironhide
			[61339] = 3, -- Glintrok Oracle
			[61239] = 3, -- Glintrok Oracle
			[61392] = 1, -- Harthak Flameseeker
		},
	},
}

db[887] = { zone = 324, -- Siege of Niuzao Temple
	category = 508,
	Heroic = {
		noInherit = true,
		recolor = {
		},
	},
}

db[898] = { zone = 246, -- Scholomance
	category = 509,
	Heroic = {
		noInherit = true,
		recolor = {
			[58822] = 2, -- Risen Guard
			[59359] = 1, -- Flesh Horror
			[59078] = 3, -- Failed Student
			[59503] = 5, -- Brittle Skeleton
			[59480] = 5, -- Brittle Skeleton
		},
	},
}

db[896] = { zone = 317, -- Mogu'shan Vaults
	category = 551,
	recolor = {
		-- The Stone Guard
		["5691"] = "WARLOCK", -- Amethyst Guardian
		["5771"] = "SHAMAN", -- Cobalt Guardian
		["5773"] = "MONK", -- Jade Guardian
		["5774"] = "DEATHKNIGHT", -- Jasper Guardian
		-- Gara'jal the Spiritbinder
		["5742"] = 1, -- Spirit Totem
		["5757"] = 3, -- Severer of Souls
		-- The Spirit Kings
		["5861"] = 1, -- Pinning Arrow
		["5853"] = 2, -- Undying Shadows
		-- Elegon
		["6189"] = 1, -- Energy Charge
		["7074"] = 2, -- Soul Fragment
		-- Will of the Emperor
		["5677"] = 2, -- Emperor's Strength
		["5674"] = 3, -- Titan Spark
	},
}

db[897] = { zone = 330, -- Heart of Fear
	category = 552,
	recolor = {
		-- Wind Lord Mel'jarak
		["6305"] = 1, -- Mender
		["6334"] = 2, -- Blademaster
		["6300"] = 3, -- Trapper
		-- Amber-Shaper Un'sok
		["6261"] = 1, -- Living Amber
		-- Grand Empress Shek'zeer
		["6325"] = 1, -- Dissonance Field
		["6480"] = 2, -- Kor'thik Reaver
		[64383] = 3, -- Bubbling Resin
	},
}

db[886] = { zone = 320, -- Terrace of Endless Spring
	category = 553,
	recolor = {
		-- Tsulong
		[64393] = 2, -- Night Terror
		-- Lei Shi
		["6224"] = 1, -- Animated Protector
	},
}

db[930] = { zone = 362, -- Throne of Thunder
	category = 554,
	recolor = {
		-- Horridon
		["7866"] = 4, -- Direhorn Spirit
		["7086"] = 1, -- Zandalari Dinomancer
		["7107"] = 1, -- Amani'shi Beast Shaman
		["7098"] = 2, -- Farraki Wastewalker
		["7100"] = 2, -- Gurubashi Venom Priest
		["7113"] = 2, -- Venomous Effusion
		["7103"] = 2, -- Drakkari Frozen Warlord
		["7105"] = 3, -- Amani'shi Flame Caster
		["7106"] = 2, -- Amani Warbear
		["7101"] = 3, -- Risen Drakkari Warrior
		["7102"] = 3, -- Risen Drakkari Champion
		-- Tortos
		["7129"] = 2, -- Whirl Turtle
		[69639] = 3, -- Humming Crystal
		-- Council of Elders
		["7072"] = 2, -- Shadowed Loa Spirit
		["7070"] = 2, -- Blessed Loa Spirit
		["7066"] = 1, -- Living Sand
		-- Ji-Kun
		[68194] = 3, -- Young Egg of Ji-Kun
		[70134] = 2, -- Nest Guardian
	},
}

db[953] = { zone = 369, -- Siege of Orgrimmar
	category = 555,
	recolor = {
		-- The Fallen Protectors
		["7885"] = "MONK", -- Rook Stonetoe
		["8395"] = 2, -- Embodied Misery
		["8396"] = 3, -- Embodied Sorrow
		["8397"] = 3, -- Embodied Gloom
		["7889"] = "ROGUE", -- He Softfoot
		[71478] = 4, -- Embodied Anguish
		["7904"] = "PRIEST", -- Sun Tenderheart
		[71482] = 3, -- Embodied Desperation
		--[71712] = 1,
		-- Norushen
		["8232"] = 2, -- Manifestation of Corruption
		-- Sha of Pride
		["8262"] = 1, -- Manifestation of Pride
		[72569] = 3, -- Corrupted Fragment
		-- Galakras
		["8422"] = 2, -- Master Cannoneer Dagryn
		["8423"] = 2, -- Liutenant General Krugruk
		["8424"] = 2, -- High Enforcer Thranok
		["8425"] = 2, -- Korgra the Snake
		["8428"] = 1, -- Dragonmaw Bonecrusher
		["8431"] = 3, -- Dragonmaw Tidal Shaman
		["8489"] = {1, 1, 1, 1}, -- Healing Tide Totem
		[73310] = {0.72, 1, 0, 1}, -- Dragonmaw War Banner
		[73088] = {0.72, 1, 0, 1}, -- Dragonmaw War Banner
		-- Kor'kron Dark Shaman
		["8143"] = 3, -- Iron Tomb
		-- General Nazgrim
		["7922"] = "WARRIOR", -- Kor'kron Ironblade
		["7923"] = "MAGE", -- Kor'kron Arcweaver
		["7924"] = "ROGUE", -- Kor'kron Assassin
		["7925"] = "SHAMAN", -- Kor'kron Warshaman
		["7946"] = "HUNTER", -- Kor'kron Sniper
		["7912"] = {0.72, 1, 0, 1}, -- Kor'kron Banner
		-- Malkorok
		["7952"] = 3,
		-- Spoils of Pandaria
		["8462"] = 2, -- Jun-Wei
		["8460"] = 2, -- Zu Yin
		["8461"] = 2, -- Xiang-Lin
		["8464"] = 2, -- Kun-Da
		[73951] = 2, -- Commander Tik
		[73948] = 2, -- Commander Ik'tal
		[73949] = 2, -- Commander Na'kaz
		[71409] = 2, -- Commander Zak'tar
		[71392] = "WARLOCK", -- Shadow Ritualist Phylactery
		["8355"] = 1, -- Modified Anima Golem
		["8356"] = 1, -- Mogu Shadow Ritualist
		["8357"] = 1, -- Zar'thik Amber Priest
		["8358"] = 1, -- Set'thik Wind Wielder
		["8361"] = "WARLOCK", -- Burial Urn
		["8380"] = 3, -- Spark of Life
		["8364"] = "WARLOCK", -- Amber-Encased Kunchong
		["8386"] = "MONK", -- Ancient Brewmaster Spirit
		["8389"] = "MONK", -- Wise Mistweaver Spirit
		["8391"] = "MONK", -- Nameless Windwalker Spirit
		["8469"] = 4, -- Unstable Spark
		-- Siegecrafter Blackfuse
		["8210"] = 3, -- Electromagnet
		["8204"] = 2, -- Shockwave Missile Turret
		["8208"] = 1, -- Leser Turret
		-- Paragons of the Klaxxi
		["8065"] = 4, -- Amber Parasite
		[71407] = 2, -- Amber
		-- Garrosh Hellscream
		["8282"] = "WARRIOR", -- Kor'kron Warbringer
		["8294"] = "SHAMAN", -- Farseer Wolf Rider
		["8298"] = 1, -- Siege Engineer
		["8300"] = 2, -- Kor'kron Iron Star
		["8304"] = 3, -- Desecrated Weapon
	},
}

-------------------------------------------------------------------------------
-- Warlords of Draenor
-------------------------------------------------------------------------------
db[964] = { zone = 385, -- Bloodmaul Slag Mines
	category = 601,
	recolor = {
		[75193] = 1, -- Bloodmaul Overseer
		[75426] = 1, -- Bloodmaul Overseer
		--[84978] = 1, -- Bloodmaul Enforcer
		--[83624] = 1, -- Bloodmaul Enforcer
		[75198] = 3, -- Bloodmaul Geomancer
		[75360] = 5, -- Searing Ember
		[75272] = "MAGE", -- Bloodmaul Ogre Mage
		[83622] = "MAGE", -- Bloodmaul Ogre Mage
		[74349] = "WARLOCK", -- Bloodmaul Magma Binder
		[83621] = "WARLOCK", -- Bloodmaul Magma Binder
		[75210] = 2, -- Bloodmaul Warder
		[83623] = 2, -- Bloodmaul Warder
		[75209] = 1, -- Molten Earth Elemental
		[75820] = 1, -- Vengeful Magma Elemental
		[74570] = 2, -- Ruination
		[74571] = 2, -- Calamity
		[74927] = 4, -- Unstable Slag
	},
}

db[969] = { zone = 537, -- Shadowmoon Burial Grounds
	category = 602,
	recolor = {
		[75713] = 3, -- Shadowmoon Bone-Mender
		[77700] = 1, -- Shadowmoon Exhumer
		[76446] = 2, -- Shadowmoon Enslaver
		--["Void Spawn"] = 2,
		[75979] = 5, -- Exhumed Spirit
		[75899] = 4, -- Possessed Soul
		[76518] = 3, -- Ritual of Bones
		[76104] = 2, -- Monstrous Corpse Spider
		[75459] = 1, -- Plagued Bat
	},
}

db[984] = { zone = 547, -- Auchindoun
	category = 603,
	recolor = {
		[77812] = 1, -- Sargerei Soulbinder
		[77134] = 2, -- Sargerei Cleric
		[77131] = 3, -- Sargerei Spirit-Tender
		[77080] = 2, -- Sargerei Arbiter
		[87074] = 1, -- Sargerei Magus
		[76263] = 1, -- Sargerei Magus
		[77935] = 1, -- Sargerei Warden
		[79510] = 1, -- Cackling Pyromaniac
		[76260] = 1, -- Cackling Pyromaniac
		[79508] = 4, -- Felborne Abyssal
		[77905] = 4, -- Felborne Abyssal
	},
}

db[987] = { zone = 558, -- Iron Docks
	category = 604,
	recolor = {
		[81432] = 2, -- Grom'kar Technician
		[83763] = 2, -- Grom'kar Technician
		[83025] = 2, -- Grom'kar Battlemaster
		[86526] = 2, -- Grom'kar Chainmaster
		[81603] = 1, -- Champion Druna
		[83026] = 1, -- Siegemaster Olugar
		["10456"] = 1, -- Neesa Nox
		["10449"] = 2, -- Ahri'ok Dugru
	},
}

db[989] = { zone = 476, -- Skyreach
	category = 605,
	recolor = {
		[79466] = 3, -- Initiate of the Rising Sun
		[78933] = "PRIEST", -- Herald of Sunrise
		[79462] = 2, -- Blinding Solar Flare
		[76097] = 1, -- Solar Familiar
		[76778] = 4, -- Life-Pact Familiar
		[78932] = 1, -- Driving Gale-Caller
		[79467] = 3, -- Adept of the Dawn
		[76094] = 4, -- Sun Trinket
		[77605] = 2, -- Whirling Dervish
		[79469] = 2, -- Whirling Dervish
		[76154] = 2, -- Skyreach Raven Whisperer
		[76227] = 4, -- Solar Flare
		[79463] = 2, -- Radiant Supernova
		[76267] = 4, -- Solar Zealot
		[76292] = 1, -- Skyreach Shield Construct
	},
}

db[993] = { zone = 536, -- Grimrail Depot
	category = 606,
	recolor = {
		[81236] = 2, -- Grimrail Technician
		[81212] = 1, -- Grimrail Overseer
		[77803] = 2, -- Railmaster Rocketspark
		["9721"] = 1, -- Grom'kar Boomer
		["9719"] = 1, -- Grom'kar Grenadier
		["9717"] = 2, -- Grom'kar Gunner
		[82579] = 3, -- Grom'kar Far Seer
		[82590] = 2, -- Grimrail Scout
		[82597] = 1, -- Grom'kar Captain
		[88163] = 3, -- Grom'kar Cinderseer
	},
}

db[995] = { zone = 559, -- Upper Blackrock Spire
	category = 607,
	recolor = {
		[76157] = 2, -- Black Iron Leadbelcher
		[76181] = 1, -- Ragemaw Worg
		[76222] = 4, -- Rallying Banner
		[76314] = 5, -- Sentry Cannon
		[76101] = 3, -- Black Iron Engineer
		[77037] = 1, -- Black Iron Elite
		[77096] = 5, -- Vilemaw Hatchling
		[77036] = "WARLOCK", -- Black Iron Summoner
		[77033] = 2, -- Black Iron Siegebreaker
		[76599] = 2, -- Black Iron Groundshaker
		[76694] = 5, -- Emberscale Whelpling
		[76696] = 1, -- Emberscale Adolescent
		[80703] = 4, -- Windfury Totem
	},
}

db[1008] = { zone = 556, -- The Everbloom
	category = 608,
	recolor = {
		[84767] = 2, -- Twisted Abomination
		[81820] = "SHAMAN", -- Everbloom Mender
		[81638] = 4, -- Aqueous Globule
		[81821] = 4, -- Aqueous Globule
		["10409"] = "SHAMAN",
		["10413"] = "DRUID",
		[84554] = 2, -- Venom-Crazed Pale One
		[86554] = 3, -- Venom-Crazed Pale Hulk
		[86552] = 1, -- Gorged Burster
		[84989] = 1, -- Infested Icecaller
		[84957] = 2, -- Putrid Pyromancer
		[84400] = 2, -- Gnarled Ancient
		[86684] = 3, -- Feral Lasher
		[85194] = 4, -- Entanglement
		[84499] = 4, -- Entanglement
		[84401] = 5, -- Swift Sproutling
	},
}

db[994] = { zone = 477, -- Highmaul
	category = 651,
	recolor = {
		[80071] = 2, -- Bladespire Sorcerer
		[81224] = 2, -- Bladespire Sorcerer
		[80822] = 2, -- Night-Twisted Berserker
		["9390"] = 1, -- Iron Bomber
		["9387"] = 3, -- Drunken Bileslinger
		["9987"] = 3, -- Spore Shooter
		["9994"] = 4, -- Mind Fungus
		["9919"] = 3, -- Volatile Anomaly
		--["10063"] = 1, -- Shard of Tectus
		["10064"] = 1, -- Mote of Tectus
		["9945"] = 2, -- Arcane Aberration
		["9946"] = 2, -- Displacing Arcane Aberration
		["9947"] = 2, -- Fortified Arcane Aberration
		["9948"] = 2, -- Replicating Arcane Aberration
	},
}

db[988] = { zone = 457, -- Blackrock Foundry
	category = 652,
	order = {
		"h\\1122", 76796, "9307",
		"h\\1123", "9354", "9345", 78912,
		"h\\1147", "9555", "9543", "9542", "9549", "9540",
		"h\\1154", "9649", "9640", "9655", "9657", "9659",
		"h\\1162", 77893,
		"h\\1203", 78583,
		"h\\959", "9571",
	},
	recolor = {
		-- Beastlord Darmac
		[76796] = 6,
		["9307"] = 1, -- Pack Beast
		-- Flamebender Ka'graz
		["9354"] = 3, -- Aknor Steelbringer
		["9345"] = 4, -- Cinder Wolf
		[78912] = 1, -- Overheated Cinder Wolf
		-- Operator Thogar
		["9555"] = 4, -- Iron Gunnery Sergeant
		["9543"] = 3, -- Grom'kar Firemender
		["9542"] = 5, -- Iron Crack-Shot
		["9549"] = 2, -- Grom'kar Man-at-Arms
		["9540"] = 1, -- Iron Raider
		-- The Blast Furnace
		["9649"] = 3, -- Furnace Engineer
		["9640"] = 2, -- Foreman Feldspar
		["9655"] = 4, -- Primal Elementalist
		["9657"] = 1, -- Slag Elemental
		["9659"] = 3, -- Firecaller
		-- Kromog
		[77893] = 6, -- Grasping Earth
		-- The Iron Maidens
		[78583] = 4, -- Dominator Turret
		-- Blackhand
		--["9576"] = 5, -- Iron Soldier
		["9571"] = 4, -- Siegemaker
	},
}

db[1026] = { zone = 669, -- Hellfire Citadel
	category = 653,
	order = {
		"h\\1426", 90409, 92522, 92911, 93881, 95652, 90410, 90432, 90485, 91103, 93435,
		"h\\1425", 93717, 94312, 94326, 94955,
		"h\\1392", 91368,
		"h\\1396", "11261", "11263", "11266", "11269", 90411, 90414,
		"h\\1372", 90508, 90568, 90570, 90388, 90385,
		"h\\1433", 91543, 93985, 91541, 93968, 91539, 93952, 93625,
		"h\\1427", 95101, 92767, 91938, 91941,
		"h\\1447", 94185, 94397, 94239,
		"h\\1394", 90270, 90271, 90272,
		"h\\1395", 91241, 93598, 93605, 93599, 93597, 91259,
		"h\\1438", 92208, 92740, 93615, 94412, 93297, 95775,
	},
	recolor = {
		-- Hellfire Assault
		[90409] = "WARLOCK", -- Gorebound Felcaster
		[92522] = "WARLOCK", -- Gorebound Terror
		[92911] = 1, -- Hulking Berserker
		[93881] = 3, -- Contracted Engineer
		[95652] = 2, -- Grand Corruptor U'rogg (Mythic)
		--[95653] = , -- Grute (Mythic)
		[90410] = 4, -- Felfire Crusher
		[90432] = 4, -- Felfire Flamebelcher
		[90485] = 4, -- Felfire Artillery
		[91103] = 4, -- Felfire Demolisher
		[93435] = 6, -- Felfire Transporter (Mythic)
		-- Iron Reaver
		[93717] = 4, -- Volatile Firebomb
		[94312] = 2, -- Quick-Fuse Firebomb (Mythic)
		[94326] = 3, -- Reactive Firebomb (Mythic)
		[94955] = 1, -- Reinforced Firebomb (Mythic)
		-- Kormrok
		[91368] = 4, -- Crushing Hand
		-- Kilrogg Deadeye
		["11261"] = {1, 0.5, 0.5, 1}, -- Blood Globule
		["11263"] = {1, 0.5, 0.5, 1}, -- Fel Blood Globule
		["11266"] = 6, -- Salivating Bloodthirster
		["11269"] = 1, -- Hulking Terror
		[90411] = 2, -- Hellblaze Fiend
		[90414] = 1, -- Hellblaze Mistress
		-- Gorefiend
		[90508] = 4, -- Gorebound Construct
		[90568] = 3, -- Gorebound Essence
		[90570] = 2, -- Gorebound Spirit
		[90388] = 1, -- Tortured Essences
		[90385] = 2, -- Enraged Spirits
		-- Shadow-Lord Iskar
		[91543] = "PRIEST", -- Corrupted Talonpriest
		[93985] = "PRIEST", -- Corrupted Talonpriest
		[91541] = 1, -- Shadowfel Warden
		[93968] = 1, -- Shadowfel Warden
		[91539] = 2, -- Fel Raven
		[93952] = 2, -- Fel Raven
		[93625] = 3, -- Phantasmal Radiance (Mythic)
		-- Socrethar the Eternal
		[95101] = 4, -- Voracious Soulstalker (Mythic)
		[92767] = 1, -- Sargerei Dominator
		[91938] = 3, -- Haunting Soul
		[91941] = 2, -- Sargerei Shadowcaller
		-- Xhul'haroc
		[94185] = 1, -- Vanguard Akkelion
		[94397] = 6, -- Unstable Voidfiend
		[94239] = 2, -- Omnus
		-- Tyrant Velhari
		[90270] = 3, -- Ancient Enforcer
		[90271] = 3, -- Ancient Harbinger
		[90272] = 3, -- Ancient Sovereign
		-- Mannoroth
		[91241] = 1, -- Doom Lord
		[93598] = 1, -- Doom Lord Asrogol
		[93605] = 1, -- Doom Lord Kaz'eth
		[93599] = 1, -- Doom Lord Usael
		[93597] = 1, -- Doom Lord Xorgok
		[91259] = {1, 0.75, 1, 1}, -- Fel Imp
		--[91270] = 3, -- Dread Infernal
		-- Archimonde
		[92208] = 4,
		[92740] = "WARLOCK", -- Hellfire Deathcaller
		[93615] = 1, -- Felborne Overfiend
		[94412] = 2, -- Infernal Doombringer
		[93297] = 6, -- Living Shadow
		[95775] = 4, -- Void Star
	},
}

-------------------------------------------------------------------------------
-- Legion
-------------------------------------------------------------------------------

db[1066] = { zone = 777, -- Assault on Violet Hold
	category = 701,
	order = {
		"h\\-", 102337, 102335, 102336, 102302, 102372, 103381, 112742, 112733, 102380, 102400, 102395, 102397, 112733, 112738,
		"h\\1693", "12646", "12651",
		"h\\1702", "12748",
		"h\\1686", 101994,
		"h\\1688", "12617", "12624",
		"h\\1696", "12682",
	},
	recolor = {
		[102337] = 2, -- Portal Guardian (Inquisitor)
		[102335] = 2, -- Portal Guardian (Jailer)
		[102336] = 2, -- Portal Keeper (Dreadlord)
		[102302] = 2, -- Portal Keeper (Felguard)
		[102372] = 1, -- Felhound Mage Slayer
		[103381] = 4, -- Jailer Cage
		[112742] = 6, -- Broodling
		[102380] = "WARLOCK", -- Shadow Council Warlock
		[102400] = "PRIEST", -- Eredar Shadow Mender
		[102395] = "ROGUE", -- Infiltrator Assassin
		[102397] = "WARRIOR", -- Wrathlord Bulwark
		[112733] = 1, -- Venomhide Shadowspinner
		[112738] = 2, -- Acolyte of Sael'orn
		-- Festerface
		["12646"] = 6, -- Congealed Goo
		["12651"] = 4, -- Black Bile
		-- Blood-Princess Thal'ena
		["12748"] = 6, -- Congealed Blood
		-- Mindflayer Kaahrj
		[101994] = 4, -- Faceless Tendril
		-- Millificent Manastorm
		["12617"] = 4, -- Thorium Rocket Chicken
		["12624"] = 5, -- Reinforced Thorium Rocket Chicken
		-- Anub'esset
		["12682"] = 2, -- Spitting Scarab
	}
}

db[1081] = { zone = 740, -- Black Rook Hold
	category = 702,
	order = {
		"h\\-", 98368, 98370, 98521, 99664,
		"h\\-", 114516, 98280, 101549, 101839, 98691, 98243, 98706, 100485,
		"h\\-", 98810, 98792, 102781,
		"h\\-", 102095, 102094,
	},
	recolor = {
		[98368] = 1, -- Ghostly Protector
		[98370] = 3, -- Ghostly Councilor
		[98521] = 2, -- Lord Etheldrin Ravencrest
		[99664] = 4, -- Restless Soul
		[114516] = 5, -- Rook Spiderling
		[98280] = "MAGE", -- Risen Arcanist
		--[98275] = "HUNTER", -- Risen Archer
		[101549] = 4, -- Arcane Minion
		[101839] = "DEMONHUNTER", -- Risen Companion
		[98275] = "HUNTER", -- Risen Archer
		--[98691] = 1, -- Risen Scout
		[98243] = 2, -- Soul-Torn Champion
		[98706] = 2, -- Commander Shemdah'sohn
		[100485] = 1, -- Soul-torn Vanguard
		[98810] = 2, -- Wrathguard Bladelord
		[98792] = 1, -- Wyrmtongue Scavenger
		[102781] = 5, -- Fel Bat Pup
		[102095] = 1, -- Risen Lancer
		[102094] = 2, -- Risen Swordsman
		[101008] = 4, -- Stinging Swarm
	}
}

db[1087] = { zone = 800, -- Court of Stars
	category = 703,
	order = {
		"h\\-", 104251, 104918, 105699, 105703, 104270, 105705, 104215,
		"h\\-", 104295, 105715, 104300, 104278, "13074", "13075", "13076",
	},
	recolor = {
		[104251] = "DRUID", -- Duskwatch Sentry
		[104918] = 7, -- Vigilant Duskwatch
		--[105699] = 7, -- Mana Saber
		[105703] = 7, -- Mana Wyrm
		[104270] = 2, -- Guardian Construct
		[105705] = "MAGE", -- Bound Energy
		[104215] = 1, -- Patrol Captaion Gerdo

		[104295] = 7, -- Blazing Imp
		[105715] = "WARLOCK", -- Watchful Inquisitor
		[104300] = 3, -- Shadow Mistress
		[104278] = "DRUID", -- Felbound Enforcer
		["13074"] = 1, -- Jazshariu
		["13075"] = 1, -- Baalgar the Watchful
		["13076"] = 1, -- Imacu'tya
	}
}

db[1067] = { zone = 762, -- Darkheart Thicket
	category = 704,
	order = {
		"h\\-", 95769, 95771, 95766, 95779, "13302",
		"h\\-", 99360, 99358, 99359, 100960, 100991, 107288,
		"h\\-", 100531, 101074,
		"h\\-", 100527, 100539, 102277, 99366,
	},
	recolor = {
		--[95772] = false, -- Frenzied Nightclaw
		--[101679] = false, -- Dreadsoul Poisoner
		[95769] = 1, -- Mindshattered Screecher
		[95771] = 2, -- Dreadsoul Ruiner
		[95766] = 3, -- Crazed Razorbeak
		--[95779] = "DRUID", -- Festerhide Grizzly
		["13302"] = 7, -- Nightmare Abomination
		[99360] = 2, -- Vilethorn Blossom
		--[99358] = 1, -- Rotheart Dryad
		[99359] = 1, -- Rotheart Keeper
		--[100960] = 4, -- Vile Mushroom
		[100991] = 6, -- Strangling Roots
		[107288] = 1, -- Vilethorn Sapling
		[100531] = 2, -- Bloodtainted Fury
		[101074] = 5, -- Hatespawn Whelpling
		[100527] = 1, -- Dreadfire Imp
		[100539] = 2, -- Taintheart Deadeye
		[102277] = 5, -- Deadeye Decoy
		[99366] = "WARLOCK", -- Taintheart Summoner
	}
}

db[1046] = { zone = 716, -- Eye of Azshara
	category = 705,
	order = {
		"h\\-", 91783, 95861, 100216, "12028", "12030",
		"h\\-", 97171, 95920, "12139",
		"h\\-", 113111,
		"h\\-", 91793, "12015", "12017",
		"h\\-", 100248, 100249, 100250,
	},
	recolor = {
		[91783] = 2, -- Hatecoil Stormweaver
		--[111638] = 2, -- Hatecoil Stormweaver
		[95861] = 3, -- Hatecoil Oracle
		--[111636] = 3, -- Hatecoil Oracle
		--[91782] = "WARRIOR", -- Hatecoil Crusher
		--[111632] = "WARRIOR", -- Hatecoil Crusher
		[100216] = 1, -- Hatecoil Wrangler
		--[111635] = 1, -- Hatecoil Wrangler
		["12028"] = 2, -- Hatecoil Shellbreaker
		["12030"] = 3, -- Hatecoil Crestrider
		[97171] = "MAGE", -- Hatecoil Arcanist
		[95920] = 1, -- Animated Storm
		["12139"] = 6, -- Saltsea Globule
		[113111] = 1, -- Saltscale Swarmer
		--[91793] = 1, -- Seaspray Crab
		["12015"] = {0.85, 0.2, 0, 1}, -- Blazing Hydra Spawn
		["12017"] = {0.8, 0.2, 0.7, 1}, -- Arcane Hydra Spawn
		[100248] = 1, -- Ritualist Lesha
		[100249] = 2, -- Channeler Varisz
		[100250] = 3, -- Binder Ashioi
	}
}

db[1041] = { zone = 721, -- Halls of Valor
	category = 706,
	order = {
		"h\\-", 97068, 95842,
		"h\\-", 96664, 95834, 96640, 97197, 101637,
		"h\\-", 99828, 99891, 99922,
		"h\\-", 101326, 104822, "12605"
	},
	recolor = {
		[97068] = 1, -- Storm Drake
		[95842] = 2, -- Valarjar Thundercaller
		[96664] = 1, -- Valarjar Runecarver
		[95834] = 3, -- Valarjar Mystic
		[96640] = "HUNTER", -- Valarjar Marksman
		--[95832] = 1, -- Valarjar Shieldmaiden
		[97197] = 1, -- Valarjar Purifier
		[101637] = 1, -- Valarjar Aspirant
		--[96934] = 1, -- Valarjar Trapper

		[99828] = 7, -- Trained Hawk
		[99891] = 1, -- Storm Drake
		-- Fenryr
		[99922] = 1, -- Ebonclaw Packmate
		-- King Bjorn
		[101326] = 1, -- Honored Ancestor
		-- God-King Skovald
		[104822] = 4, -- Flame of Woe
		-- Odyn
		["12605"] = 2, -- Stormforged Obliterator
	}
}

db[1042] = { zone = 727, -- Maw of Souls
	category = 707,
	order = {
		"h\\-", 102104, 97200, 98246,
		"h\\-", 97119, 98919, 97365, 97182, 98973, 97097, "12212",
		"h\\-", 99033, 99307, 98973,
		"h\\1663", "12364", "12492",
	},
	recolor = {
		[102104] = 1, -- Enslaved Shieldmaiden
		[97200] = 2, -- Seacursed Soulkeeper
		[98246] = 2, -- Risen Warrior
		[97119] = 7, -- Shroud Hound
		--[98919] = 1, -- Seacursed Swiftblade
		[97365] = "PRIEST", -- Seacursed Mistmender
		[97182] = "WARLOCK", -- Night Watch Mariner
		[98973] = 5, -- Skeletal Warrior
		[97097] = 1, -- Helarjar Champion
		["12212"] = 6, -- Shackled Servitor
		[99033] = 3, -- Helarjar Mistcaller
		[99307] = 2, -- Skjal
		[98973] = "WARRIOR", -- Skeletal Warrior
		["12364"] = 2, -- Destructor Tentacle
		["12492"] = 1, -- Grasping Tentacle
	}
}

db[1065] = { zone = 767, -- Neltharion's Lair
	category = 708,
	order = {
		"h\\-", 96247, 91000, "12349",
		"h\\-", 92610, 92387, 91332, 90997, 113998, 113538, 94224, 94331, 101437, 98081,
		"h\\-", 102404, "12527",
		"h\\-", "12596",
	},
	recolor = {
		[96247] = 7, -- Vileshard Crawler
		[91000] = 2, -- Vileshard Hulk
		["12349"] = 1, -- Blightshard Skitter
		[92610] = 1, -- Understone Drummer
		--[92387] = 4, -- Drums of War
		[91332] = 1, -- Stoneclaw Hunter
		[90997] = 2, -- Mightstone Breaker
		[113998] = 2, -- Mightstone Breaker
		[113538] = 2, -- Mightstone Breaker
		[92612] = 2, -- Mightstone Breaker
		[94224] = 5, -- Petrifying Totem
		[94331] = 4, -- Petrifying Crystal
		[101437] = 6, -- Burning Geode
		[98081] = 4, -- Bellowing Idol
		[102404] = 1, -- Stoneclaw Grubmaster
		[92538] = "WARLOCK", -- Tarspitter Grub
		[91002] = "DEMONHUNTER", -- Rotdrool Grabber
		[102430] = 5, -- Tarspitter Slug
		["12527"] = 4, -- Wormspeaker Devout
		["12596"] = 1, -- Molten Charskin
	}
}

db[1079] = { zone = 726, -- The Arcway
	category = 709,
	order = {
		"h\\-", 106546, 98756, 102351, 106059,
		"h\\-", 98426, 98435, 98728, 105915, 105921,
		"h\\-", 105629, 105682, 105617, 98770, "12489",
		"h\\-", 105876, "13765",
	},
	recolor = {
		[98426] = 2, -- Unstable Ooze
		[98435] = 5, -- Unstable Oozeling
		[98728] = 1, -- Acidic Bile
		[105915] = 2, -- Nightborne Reclaimer
		[105921] = 1, -- Nightborne Spellsword

		[106546] = 4, -- Astral Spark
		[98756] = 2, -- Arcane Anomaly
		--[102351] = 6, -- Mana Wyrm
		[106059] = 1, -- Warp Shade

		[105876] = "MAGE", -- Enchanted Broodling
		["13765"] = 1, -- Vicious Manafang

		[105629] = 5, -- Wyrmtongue Scavanger
		[105682] = 1, -- Felguard Destroyer
		[105617] = "WARLOCK", -- Eredar Chaosbringer
		[98770] = 2, -- Wrathguard Felblade
		["12489"] = 1, -- Dread Felbat
	}
}

db[1045] = { zone = 707, -- Vault of the Wardens
	category = 710,
	order = {
		"h\\-", 96584, 98926, 98177, 96480, 98954, 99956, 102583, 107101,
		"h\\-", 95833, "12883", "12884", "12897", "12895", "12893", "12888",
		"h\\-", "12665",
		"h\\-", 96657,
		"h\\-", 97678, 100351, 104293,
	},
	recolor = {
		[96584] = 1, -- Immoliant Fury
		[98926] = "WARLOCK", -- Shadow Hunter
		[98177] = 2, -- Glayvianna Soulrender
		[96480] = 5, -- Viletongue Belcher
		--[98954] = 1, -- Felsworn Myrmidon
		[99956] = 2, -- Fel-Infused Fury
		--[102583] = 1, -- Fel Scorcher
		[107101] = 2, -- Fle Fury
		[98533] = 2, -- Foul Mother
		["12897"] = 1, -- Lingering Corruption
		["12883"] = 1, -- Shadowmoon Technician
		["12884"] = "WARLOCK", -- Shadowmoon Warlock
		["12895"] = 1, -- Deranged Mindflayer
		["12893"] = 2, -- Faceless Voidcaster
		["12888"] = 1, -- Mogu'shan Secret Keeper
		[96657] = 2, -- Blade Dancer Illianna
		["12665"] = 4, -- Ember
		[97678] = 2, -- Aranasi Broodmother
		[100351] = 6, -- Avatar of Vengeance
		[104293] = 4, -- Avatar of Shadow
	}
}

db[1094] = { zone = 768, -- The Emerald Nightmare
	category = 751,
	order = {
		"h\\-", 111333, 113113, 111354, 113088, 112474, 112162, 113920, 111980, 113089, 113090, 111370, 111398,
		"h\\1744", "13262", "13496",
		"h\\1738", "13186", "13188", "13190", "13191", "13189", "13570",
		"h\\1704", "12779", "12864", "12850", "13460",
		"h\\1750", "13348", "13350", "13354", "13357",
		"h\\1726", "12973", "12972", "13162", "12977",
	},
	recolor = {
		-- trash
		[111333] = 1, -- Taintheart Trickster
		[113113] = 7, -- Essence of Nightmare
		[111354] = 2, -- Taintheart Befouler
		[113088] = 6, -- Corrupted Feeler
		[112474] = 4, -- Corrupted Totem
		[112162] = 1, -- Grisly Trapper
		[113920] = 3, -- Flail of Il'gynoth
		[111980] = 2, -- Nightmother
		[113089] = 1, -- Defiled Keeper
		[113090] = 2, -- Corrupted Gatewarden
		[111370] = 2, -- Creature in the Shadows
		[111398] = 1, -- Nightmare Amalgamation
		--[111405] = 3, -- Shadow Pounder

		-- Nythendra

		-- Il'gynoth, Heart of Corruption
		["13186"] = "MAGE", -- Nightmare Ichor
		["13188"] = 2, -- Nightmare Horror
		["13190"] = 4, -- Deathglare Tentacle
		["13191"] = 4, -- Corruptor Tentacle
		--["13189"] = 2, -- Dominator Tentacle
		["13570"] = 1, -- Shriveled Eyetalk (Mythic)

		-- Elerethe Renferal
		["13262"] = "MAGE", -- Venomous Spiderling
		["13496"] = 1, -- Skittering Spiderling

		-- Ursoc

		-- Dragons of Nightmare
		["12779"] = "PRIEST", -- Dread Horror
		["12864"] = 3, -- Essence of Corruption
		["12850"] = 4, -- Shade of Taerar
		["13460"] = 1, -- Lumbering Mindgorger (Mythic)

		-- Cenarius
		["13348"] = 6, -- Corrupted Wisp
		["13350"] = 2, -- Nightmare Ancient
		["13354"] = 1, -- Rotten Drake
		["13357"] = 3, -- Twisted Sister

		-- Xavius
		["12973"] = 2, -- Corruption Horror
		["12972"] = 6, -- Lurking Terror
		["13162"] = 1, -- Inconceivable Horror
		["12977"] = 3, -- Nightmare Tentacle
	}
}

db[1088] = { zone = 786, -- The Nighthold
	category = 752,
	recolor = {
		-- Skorpyron

		-- Chronomatic Anomaly

		-- Trilliax

		-- Spellblade Aluriel

		-- Tichondrius

		-- Krosus

		-- High Botanist Tel'arn

		-- Star Augur Etraeus

		-- Grand Magistrix Elisande

		-- Gul'dan

	}
}
